import { IUserInfo } from '../../../globals/MarketWebLoginManager';
import { LoginDialog, LoginDialogLink, ProfileSelectorCustomerItem, ProfileSelectorOrganization, SiteHeaderI18N } from './pn-marketweb-siteheader-types';
export declare class PnMarketwebSiteheaderLoginProfileselection {
    hostElement: HTMLElement;
    loginDialog: LoginDialog;
    endpoint: string;
    loggedin: boolean;
    idNamespace: string;
    heading: string;
    i18n: SiteHeaderI18N;
    user: IUserInfo;
    logoutLink: LoginDialogLink;
    userName: string;
    userEmail: string;
    currentProfile: ProfileSelectorCustomerItem;
    profileoptions: ProfileSelectorOrganization[];
    componentWillLoad(): void;
    init(): void;
    fetchProfiles(): Promise<void>;
    adjustLoginLinks(): void;
    updateUserInfo(): void;
    filterLogoutLink(loggedInLinks: LoginDialogLink[]): LoginDialogLink[];
    render(): any;
}
